
/* DEFS: group NeighborLB: NborBaseLB{
void NeighborLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_NeighborLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_NeighborLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_NborBaseLB::__idx);
    /* REG: void NeighborLB(void);
*/
      __idx_NeighborLB_void = CkRegisterEp("NeighborLB", (CkCallFnPtr)_call_NeighborLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void NeighborLB(void);
 */
int CProxy_NeighborLB::__idx_NeighborLB_void=0;
CkGroupID CProxy_NeighborLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_NeighborLB_void, msg, 0, 0);
}
CkGroupID CProxy_NeighborLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_NeighborLB_void, msg);
}
  CProxy_NeighborLB::CProxy_NeighborLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_NeighborLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_NeighborLB::CProxy_NeighborLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_NeighborLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_NeighborLB::_call_NeighborLB_void(void* msg, NeighborLB* obj)
{
  new (obj) NeighborLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerNeighborLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerNborBaseLB();

/* REG: group NeighborLB: NborBaseLB{
void NeighborLB(void);
};
*/
  CProxy_NeighborLB::__register("NeighborLB", sizeof(NeighborLB));

}
#endif
